me.legofreak107.vehiclesplus.vehicles.api.events

## Class VehicleEnterEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - me.legofreak107.vehiclesplus.vehicles.api.events.VehicleEnterEvent

All Implemented Interfaces:
  org.bukkit.event.Cancellable

    public class VehicleEnterEvent
    extends org.bukkit.event.Event
    implements org.bukkit.event.Cancellable

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor and Description
`VehicleEnterEvent(SpawnedVehicle vehicle, org.bukkit.entity.Player driver, Seat seat)` This event is triggered when a player enters the vehicle

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`org.bukkit.entity.Player` `getDriver()`
`static org.bukkit.event.HandlerList` `getHandlerList()`
`org.bukkit.event.HandlerList` `getHandlers()`
`Seat` `getSeat()`
`SpawnedVehicle` `getVehicle()`
`boolean` `isCancelled()`
`void` `setCancelled(boolean cancel)`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VehicleEnterEvent

    public VehicleEnterEvent(SpawnedVehicle vehicle,
                             org.bukkit.entity.Player driver,
                             Seat seat)

This event is triggered when a player enters the vehicle

Parameters:
  `vehicle` - the vehicle that is getting entered
  `driver` - the player that entered
  `seat` - the seat that the player is entering

### Method Detail

#### getHandlerList

    public static org.bukkit.event.HandlerList getHandlerList()

#### isCancelled

    public boolean isCancelled()

Specified by:
  `isCancelled` in interface `org.bukkit.event.Cancellable`

#### setCancelled

    public void setCancelled(boolean cancel)

Specified by:
  `setCancelled` in interface `org.bukkit.event.Cancellable`

#### getHandlers

    public org.bukkit.event.HandlerList getHandlers()

Specified by:
  `getHandlers` in class `org.bukkit.event.Event`

#### getVehicle

    public SpawnedVehicle getVehicle()

#### getDriver

    public org.bukkit.entity.Player getDriver()

#### getSeat

    public Seat getSeat()